<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SubscriptionAction extends \Google\Protobuf\Internal\Message
{
    


    protected $isDeactivated = null;
    


    protected $isAutoRenewing = null;
    


    protected $expirationDate = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsDeactivated()
    {
        return isset($this->isDeactivated) ? $this->isDeactivated : false;
    }

    public function hasIsDeactivated()
    {
        return isset($this->isDeactivated);
    }

    public function clearIsDeactivated()
    {
        unset($this->isDeactivated);
    }

    




    public function setIsDeactivated($var)
    {
        GPBUtil::checkBool($var);
        $this->isDeactivated = $var;

        return $this;
    }

    



    public function getIsAutoRenewing()
    {
        return isset($this->isAutoRenewing) ? $this->isAutoRenewing : false;
    }

    public function hasIsAutoRenewing()
    {
        return isset($this->isAutoRenewing);
    }

    public function clearIsAutoRenewing()
    {
        unset($this->isAutoRenewing);
    }

    




    public function setIsAutoRenewing($var)
    {
        GPBUtil::checkBool($var);
        $this->isAutoRenewing = $var;

        return $this;
    }

    



    public function getExpirationDate()
    {
        return isset($this->expirationDate) ? $this->expirationDate : 0;
    }

    public function hasExpirationDate()
    {
        return isset($this->expirationDate);
    }

    public function clearExpirationDate()
    {
        unset($this->expirationDate);
    }

    




    public function setExpirationDate($var)
    {
        GPBUtil::checkInt64($var);
        $this->expirationDate = $var;

        return $this;
    }

}

